Skip to main content
GET
/
rr
/
api
/
v1
/
contracts
/
{contract_id}
/
tier-price-overrides
List Contract Tier Price Overrides
curl --request GET \
  --url https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/tier-price-overrides \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/tier-price-overrides"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/tier-price-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "results": [
    {
      "id": 123,
      "tier": 123,
      "tier_name": "<string>",
      "contract": 123,
      "deal_name": "<string>",
      "usage_group_id": 123,
      "usage_group_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_modified_at": "2023-11-07T05:31:56Z",
      "price": 0,
      "percentage": 0,
      "integration_name": "<string>",
      "external_reference": "<string>",
      "notes": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

contract_id
integer
required

Query Parameters

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"